﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;

namespace TwitterPractice.Controllers
{
    public class HomeController : Controller
    {
        private static string title = "Twitter Practice!";
        private static string requestTemplate =
            "https://api.twitter.com/1/statuses/user_timeline.json" +
            "?include_entities=true" +
            "&include_rts=true" +
            "&screen_name={0}";

        public ActionResult Index()
        {
            ViewBag.QueryString = Request.QueryString;
            ViewBag.Message = title;
            string username = Request.QueryString["username"];
            if (null == username)
            {
                username = "meatballhat";
            }
            ViewBag.UserTimeline = GetTwitterStream(username).Replace("\",", "\",\n");
            ViewBag.Username = username;
            return View();
        }

        private string GetTwitterStream(string username="meatballhat")
        {
            string requestUrl = String.Format(requestTemplate, username);
            WebClient req = new WebClient();
            return req.DownloadString(requestUrl);
        }
    }
}
